tld_strerror(3)

NAME
tld_strerror - API function

SYNOPSIS
#include <tld.h>

const char * tld_strerror(Tld_rc rc);

ARGUMENTS

Tld_rc rc
    tld return code

DESCRIPTION
Convert a return code integer to a text string. This string can be used to output a diagnostic message to the user.

TLD_SUCCESS
Successful operation. This value is guaranteed to always be zero, the remaining ones are only guaranteed to hold non-zero values, for logical comparison purposes.

TLD_INVALID
Invalid character found.

TLD_NODATA
No input data was provided.

TLD_MALLOC_ERROR
Error during memory allocation.

TLD_ICONV_ERROR
Character encoding conversion error.

TLD_NO_TLD
No top-level domain found in domain string. Return value: Returns a pointer to a statically allocated string containing a description of the error with the return code rc .

REPORTING BUGS
Report bugs to <help-libidn@gnu.org>.
General guidelines for reporting bugs: https://www.gnu.org/gethelp/
GNU Libidn home page: https://www.gnu.org/software/libidn/

COPYRIGHT
Copyright © 2002-2024 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual. As an alternative you may obtain the manual from:

    https://www.gnu.org/software/libidn/manual/